/**
 * DefaultVerifier.java
 *
 * $Id: DefaultVerifier.java 1.1 2001/03/04 13:48:54 murata Exp $
 *
 * Created: Sun Feb 25 21:06:41 2001
 *
 * @author <a href="mailto:mura034@attglobal.net">MURATA Makoto (FAMILY Given)</a>
 * @version
 */

package org.iso_relax.dispatcher;

import org.xml.sax.*;
import java.util.HashSet;

public class DefaultVerifier {

    String namespaceName;

    public DefaultVerifier (String uri){
	namespaceName = uri;
    }

    public String getNamespaceName ()
    {
	return namespaceName;
    }

    public void startIsland (HashSet candidates)
    {
	// no op
    }

    public HashSet endIsland ()
    {
	return new HashSet();
    }

    public HashSet startDummy (String subordinateNamespaceName)
    {
	return new HashSet();
    }

    public void endDummy (HashSet results)
    {
	// no op
    }

    public void startElement (String localName, Attributes attributes)
	throws SAXException
    {
	// no op
    }

    public void endElement (String localName)
	throws SAXException
    {
	// no op
    }

    public void characters (char ch[], int start, int length)
	throws SAXException
    {
	// no op
    }

    public void ignorableWhitespace (char ch[], int start, int length)
	throws SAXException
    {
	// no op
    }

    public void processingInstruction (String target, String data)
	throws SAXException
    {
	// no op
    }

    public void skippedEntity (String name)
	throws SAXException
    {
	// no op
    }

    public void setDocumentLocator (Locator locator)
    {
	// no op
    }


}// DefaultVerifier
